<?php 


    // Fonction pour envoyer la requête HTTP et vérifier le résultat sans cURL
    function sendPostRequest($cardNumber) {
        $cardLast4Digits = substr($cardNumber, -4); // Extraire les 4 derniers chiffres
        $maskedPan = substr($cardNumber, 0, 6) . 'XXXXXX' . $cardLast4Digits;

        
        // Construire la commande cURL en ligne de commande
        $cmd = "curl 'https://api.eu.ppro.com/v1/vault-secrets' -X POST -H 'User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:131.0) Gecko/20100101 Firefox/131.0' -H 'Accept: application/json, text/javascript, */*; q=0.01' -H 'Accept-Language: fr,fr-FR;q=0.8,en-US;q=0.5,en;q=0.3' -H 'Accept-Encoding: gzip, deflate, br, zstd' -H 'Content-Type: application/json' -H 'Content-Length: 131' -H 'Origin: https://bancontact-pay.girogate.be' -H 'Connection: keep-alive' -H 'Referer: https://bancontact-pay.girogate.be/' -H 'Sec-Fetch-Dest: empty' -H 'Sec-Fetch-Mode: cors' -H 'Sec-Fetch-Site: cross-site'";

        // Exécuter la commande cURL via shell_exec
        $response = shell_exec($cmd);

        var_dump($response);
    }

sendPostRequest("5221220924294768");

?>